from datetime import datetime
from unittest import TestCase

import pytz

from verifier.common import ContactData, VerificationResult


class TestVerificationResult(TestCase):
    def test_success(self):
        data = (
            ({"name": False}, False),
            ({"name": True, "address": False}, False),
            ({"name": True, "address": True}, True),
            ({}, True),
        )

        for kwargs, success in data:
            with self.subTest(kwargs=kwargs, success=success):
                result = VerificationResult(
                    verify_datetime=datetime(2020, 1, 1, tzinfo=pytz.utc),
                    method="eID",
                    data=ContactData(),
                    contact_history_id="ch:1",
                    **kwargs,
                )
                self.assertEqual(result.success, success)
